﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class two_click_events_tilelist : System.Web.UI.Page
{
	string sql = string.Empty;        
	DataTable mydatatable;
 
	protected void Page_Init(object sender, EventArgs e)
	{
		PopulateTileList(0);
	}
 
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!IsPostBack)
		{
			PopulateRadMenu();
		}
	}
 
	protected void PopulateTileList(int tileId)
	{
		RadTileList1.Groups.Clear();
 
		string sqlWhere = string.Empty;
		if (tileId == 0)
		{
			sqlWhere = string.Empty;
		}
		else
		{
			sqlWhere = " where intDirectoriteId = " + tileId;
		}
 
		sql = "select intAppId, strAppName, strTooltip, strUrl, strNotes, s.strColor from tblApplications a INNER JOIN tblStatus s on s.intStatusID = a.intStatusID " + sqlWhere;
 
		mydatatable = new DataTable();
		mydatatable = GetData();//c.GetReader(sql);
 
		TileGroup tg = new TileGroup();
		RadTileList1.Groups.Add(tg);
 
		foreach (DataRow row in mydatatable.Rows)
		{
			RadContentTemplateTile tile = new RadContentTemplateTile();
			tg.Tiles.Add(tile);
			tile.ID = row[0].ToString();
			tile.Name = row[1].ToString();
			tile.ContentContainer.GroupingText = row[1].ToString();
			tile.ToolTip = row[2].ToString();
			tile.NavigateUrl = row[3].ToString();
			//tile.BackColor = System.Drawing.ColorTranslator.FromHtml(row[5].ToString());//removed because dummy data does not have so my columns
 
			LinkButton linkfav = new LinkButton();
			linkfav.Text = "favorites";
			linkfav.ID = string.Format("linkFav_{0}", row[0].ToString());//It is always good to add IDs to server controls
			linkfav.Click += linkfav_Click;
                
			//Peektemplate                
			tile.PeekTemplateSettings.Animation = PeekTemplateAnimation.Slide;
			tile.PeekTemplateSettings.HidePeekTemplateOnMouseOut = true;
			tile.PeekTemplateSettings.ShowPeekTemplateOnMouseOver = true;
			tile.PeekContentContainer.Controls.Add(new LiteralControl(row[3].ToString()));//also changed a bit becaue of the data
			tile.PeekTemplateSettings.CloseDelay = 0;
			tile.PeekTemplateSettings.ShowInterval = 0;
			tile.PeekContentContainer.Controls.Add(linkfav);
		}
	}
 
	private void PopulateRadMenu()
	{
		sql = "select intDirectoriteID, strDirectorite from tblDirectorite where bitActive = 1";
 
		rdmenu.DataTextField = "strDirectorite";
		rdmenu.DataValueField = "intDirectoriteID";
		rdmenu.CssClass = "Menuitems";
		//rdmenu.DataSource = c.GetReader(sql);
		//rdmenu.DataBind();
	}
 
	protected void rdmenu_ItemClick(object sender, Telerik.Web.UI.RadMenuEventArgs e)
	{
		switch (e.Item.Value)
		{
			case "1":
				PopulateTileList(1);
				break;
			case "2":
				PopulateTileList(2);
				break;
			case "3":
				PopulateTileList(3);
				break;
			case "4":
				PopulateTileList(4);
				break;
			case "5":
				PopulateTileList(5);
				break;
			case "6":
				PopulateTileList(6);
				break;
			case "7":
				PopulateTileList(7);
				break;
		}
	}
 
	protected void linkfav_Click(object sender, EventArgs e)
	{
		Response.Write((sender as LinkButton).ID);
		Response.End();
	}


	//a dummy datasource
	    protected DataTable GetData()
    {
        DataTable tbl = new DataTable();
        tbl.Columns.Add(new DataColumn("FirstColumn"));
        tbl.Columns.Add(new DataColumn("SecondColumn"));
        tbl.Columns.Add(new DataColumn("ThirdColumn"));
        tbl.Columns.Add(new DataColumn("FourthColumn"));
        tbl.Rows.Add(new object[] { "firstRecord1", "firstRecord2", "firstRecord3", "firstRecord4" });
        tbl.Rows.Add(new object[] { "secondRecord1", "secondRecord2", "secondRecord3", "secondRecord4" });
        tbl.Rows.Add(new object[] { "thirdRecord1", "thirdRecord2", "thirdRecord3", "thirdRecord4" });
	tbl.Rows.Add(new object[] { "fourthRecord1", "fourthRecord2", "fourthRecord3", "fourthRecord4" });
        return tbl;
    }
	
}